Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## net.minecraft.src
Enum EnumEntitySize

    java.lang.Object
      java.lang.Enum<EnumEntitySize>
          net.minecraft.src.EnumEntitySize

All Implemented Interfaces:
  Serializable, Comparable<EnumEntitySize>

    public enum EnumEntitySize

extends Enum<EnumEntitySize>

Enum Constant Summary
`SIZE_1`
`SIZE_2`
`SIZE_3`
`SIZE_4`
`SIZE_5`
`SIZE_6`

Method Summary
`int` | `multiplyBy32AndRound(double par1)`
`static EnumEntitySize` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static EnumEntitySize[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SIZE_1

    public static final EnumEntitySize SIZE_1

### SIZE_2

    public static final EnumEntitySize SIZE_2

### SIZE_3

    public static final EnumEntitySize SIZE_3

### SIZE_4

    public static final EnumEntitySize SIZE_4

### SIZE_5

    public static final EnumEntitySize SIZE_5

### SIZE_6

    public static final EnumEntitySize SIZE_6

Method Detail

### values

    public static EnumEntitySize[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (EnumEntitySize c : EnumEntitySize.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static EnumEntitySize valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### multiplyBy32AndRound

    public int multiplyBy32AndRound(double par1)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD